Subject: [Sigtran] Sigtran [SUA] : Modification of Routing Key

From: [email-masked]
Date: Wed, 16 Nov 2005 18:03:56 +0530

Hi,

Referring to section 4.4.1 of RFC 3868,]

An ASP MAY modify an existing Routing Key by including a Routing

Context parameter in the REG REQ. If the SGP determines that the

Routing Context applies to an existing Routing Key, the SG MAY adjust

the existing Routing Key to match the new information provided in the

Routing Key parameter. 

IF two (example ASP1 and ASP2) or more ASPs have registered a Routing
Key(RK1) and a request to modify the routing key(RK1) from ASP1 modifies
the key then in that case how do the other ASPs know of the change in
Routing Key.

Should not the other ASP which had registered the same routing key be
informed about the change. How do we do that?

Regards

Amrita Garg

 

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Barry Nagelberg" <[email-masked]>
Date: Wed, 16 Nov 2005 10:01:58 -0500

Amrita,

This is a good question that we have thought about also.

In our SGP implementation, we are assuming that ASP1 and ASP2 are being controlled by a central application. Our
customers almost always implement multiple ASPs as multiple ethernet cards in a workstation.

So we're assuming that if ASP1 sends a modification request for RK1, then ASP2 knows about the modification as well. So
we will modify RK1 for both ASPs.

Barry Nagelberg
Adax, Inc.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of [email-masked]
Sent: Wednesday, November 16, 2005 7:34 AM
To: [email-masked]
Subject: [Sigtran] Sigtran [SUA] : Modification of Routing Key

Hi,

IF two (example ASP1 and ASP2) or more ASPs have registered a Routing Key(RK1) and a request to modify the routing
key(RK1) from ASP1 modifies the key then in that case how do the other ASPs know of the change in Routing Key.
Should not the other ASP which had registered the same routing key be informed about the change. How do we do that?

Regards
Amrita Garg

---

From: "Tolga Asveren" <[email-masked]>
Date: Wed, 16 Nov 2005 10:16:00 -0500

inline....

> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Barry Nagelberg
> Sent: Wednesday, November 16, 2005 10:02 AM
> To: [email-masked]
> Subject: [Sigtran] RE: Sigtran [SUA] : Modification of Routing Key
>
>
> Amrita,
>
> In our SGP implementation, we are assuming that ASP1 and ASP2 are
> being controlled by a central application. Our
[TOLGA]I also think that it is a realistic assumption to expect ASPs to have
some kind of coordination between them regarding the traffic range change
for a RK.

Although not directly related with this issue, I am really wondering why
people would like to have multiple ASP on a single host -unless SCTP
multihoming is not supported-.
>
> So we're assuming that if ASP1 sends a modification request for
> RK1, then ASP2 knows about the modification as well. So
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of [email-masked]
> IF two (example ASP1 and ASP2) or more ASPs have registered a
> Routing Key(RK1) and a request to modify the routing
> key(RK1) from ASP1 modifies the key then in that case how do the
> other ASPs know of the change in Routing Key.
> Should not the other ASP which had registered the same routing
> key be informed about the change. How do we do that?
>
> Regards
> Amrita Garg
>
>
>
>
>
>

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 16 Nov 2005 11:20:02 -0700

Tolga,

Tolga Asveren wrote:                               (Wed, 16 Nov 2005 10:16:00)

--X--snip--X--
> some kind of coordination between them regarding the traffic range change
--X--snip--X--

Oh, so now they are coordinated, when for the n+k discussiion
they were not... ;)

It is reasonable to assume that ASPs serving the same AS must be
tightly coupled and highly coordinated.  After all, to perform
their function correctly, they must share circuit or transaction
state.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/